#ifndef CARDCOLLIDER_H
#define CARDCOLLIDER_H

#include "ofMain.h"
#define OF_ADDON_USING_OFXVECTORMATH
#include "ofAddons.h"
#include "particle.h"

class cardCollider
{
    public:
        cardCollider();
        virtual ~cardCollider();

        void setup();
        void update();
        void draw();

        bool checkCardCollision( vector<ofPoint> cardContour, float radius = 10 );
        void moveParticle(ofxVec3f dir );

        ofxVec3f velVec,intersectPoint;
        particle pt;

    protected:
    private:
};



#endif // CARDCOLLIDER_H
